Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.repositories
[Java] Interface FlatDirectoryArtifactRepository

    org.gradle.api.artifacts.repositories.ArtifactRepository
      org.gradle.api.artifacts.repositories.FlatDirectoryArtifactRepository

All Superinterfaces:
  ArtifactRepository

    public interface FlatDirectoryArtifactRepository
    extends ArtifactRepository

A repository that looks into a number of directories for artifacts. The artifacts are expected to be located in the root of the specified directories. The repository ignores any group/organization information specified in the dependency section of your build script. If you only use this kind of resolver you can specify your dependencies like `:junit:4.8.1` instead of `junit:junit:4.8.1`.

To resolve a dependency, this resolver looks for one of the following files. It will return the first match it finds:

- [artifact]-[version].[ext]
- [artifact]-[version]-[classifier].[ext]
- [artifact].[ext]
- [artifact]-[classifier].[ext]

So, for example, to resolve `:junit:junit:4.8.1`, this repository will look for `junit-4.8.1.jar` and then `junit.jar`.

Method Summary
`void` | `dirs(java.lang.Object dirs)` Adds some directories where this repository will look for artifacts.
`java.util.Set` | `getDirs()` Returns the directories where this repository will look for artifacts.
`void` | `setDirs(java.lang.Iterable dirs)` Sets the directories where this repository will look for artifacts.

Methods inherited from interface ArtifactRepository
getName, setName

Method Detail

### dirs

    public void dirs(java.lang.Object dirs)

  Adds some directories where this repository will look for artifacts.

  The provided values are evaluated as for Project.files.

  Parameters:
    `dirs` - the directories.

### getDirs

    public java.util.Set getDirs()

  Returns the directories where this repository will look for artifacts.
  Returns:
    The directories. Never null.

### setDirs

    public void setDirs(java.lang.Iterable dirs)

  Sets the directories where this repository will look for artifacts.

  The provided values are evaluated as for Project.files.

  Parameters:
    `dirs` - the directories.

Groovy Documentation